Cancel a SEPA Direct Debit mandate
curl --request POST \
--url https://thirdparty.qonto.com/v2/sepa/direct_debit_mandates/{direct_debit_mandate_id}/cancel \
--header 'Authorization: Bearer <token>'import requests
url = "https://thirdparty.qonto.com/v2/sepa/direct_debit_mandates/{direct_debit_mandate_id}/cancel"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://thirdparty.qonto.com/v2/sepa/direct_debit_mandates/{direct_debit_mandate_id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Mandates
Cancel a SEPA Direct Debit mandate
OAuth scope: sepa_direct_debit.write
Cancels a SEPA Direct Debit mandate. This operation is only possible if the mandate is not in a final state and no collection is currently being processed.
POST
/
v2
/
sepa
/
direct_debit_mandates
/
{direct_debit_mandate_id}
/
cancel
Cancel a SEPA Direct Debit mandate
Authorizations
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Path Parameters
The SEPA Direct Debit mandate ID
Response
The SEPA Direct Debit mandate has been cancelled successfully.
The response is of type object.
Was this page helpful?